package com.its.bis.dao.mapper;

import com.its.bis.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface NodeLinkMapper {

    List<TbNode> selectNodeAll();
    List<TbLink> selectLinkAll();

    int createBisLinkTraf(@Param("obj") MakeTrafParam obj);
    int updateBisVehLoc(@Param("obj") TbBisVehLoc obj);
    int insertBisLinkTrafClct(@Param("obj") TbBisLinkTrafClct obj);

}
